VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IPreference Class Referenceabstract
Standalone Library

Preference interface. More...

`#include <ipreference.h>`

Inheritance diagram for IPreference:

## Public Member Functions
virtual bool | set (const UTF8String &key, const UTF8String &value)=0
| Set a preference value.
virtual Optional< UTF8String > | get (const UTF8String &key)=0
| Get a preference value.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Preference interface.

You get the preferences via IApplication::instance ().getPreferences ().

## Member Function Documentation

## ◆ get()

virtual Optional< UTF8String > get | ( | const UTF8String & | key | ) |
| pure virtual

Get a preference value.

## ◆ set()

virtual bool set | ( | const UTF8String & | key,
|  | const UTF8String & | value )
| pure virtual

Set a preference value.

The documentation for this class was generated from the following file:

- ipreference.h